precision mediump float;        // Set the default precision to medium. We don't need as high of a
                                // precision in the fragment shader.
uniform vec3 u_LightPos;        // The position of the light in eye space.
uniform vec3 u_LightPos2;        // The position of the light in eye space.
uniform sampler2D u_Texture;    // The input texture.
 
varying vec3 v_Position;        // Interpolated position for this fragment.
varying vec3 v_Normal;          // Interpolated normal for this fragment.
varying vec2 v_TexCoordinate;   // Interpolated texture coordinate per fragment.
 
// The entry point for our fragment shader.
void main()
{
    // Will be used for attenuation.
    //vec3 u_LightPos2=vec3(0.0,30.0,0.0);
    float distance = length(u_LightPos - v_Position);
    float distance2 = length(u_LightPos - v_Position);
 
    // Get a lighting direction vector from the light to the vertex.
    vec3 lightVector = normalize(u_LightPos - v_Position);
    vec3 lightVector2 = normalize(u_LightPos2 - v_Position);
 
    // Calculate the dot product of the light vector and vertex normal. If the normal and light vector are
    // pointing in the same direction then it will get max illumination.
    float diffuse = max(dot(v_Normal, lightVector), 0.02); 
    float diffuse2 = max(dot(v_Normal, lightVector2), 0.02); 
        
 	distance=distance/2.0; 
 	distance2=distance2/2.0;  
    // Add attenuation.
    //diffuse = diffuse * (1.0 / (1.0 + (0.05 * distance)));
    diffuse = diffuse * (1.0 / (0.5*(0.02 * distance)));
    diffuse2 = diffuse2 * (1.0 / (0.5*(0.02 * distance2)));

    // Multiply the color by the diffuse illumination level and texture value to get final output color.
	float enddiffuse=(diffuse+diffuse2)/2.0;
	
    gl_FragColor = (enddiffuse * texture2D(u_Texture, v_TexCoordinate));
  }